/* BODY STYLE */

body {
  font-family: "Plus Jakarta Sans", sans-serif;
  color: #333333;
  font-weight: 500;
}
html{
  scroll-behavior: smooth;
}
/* ---------------------------------------------------
  FONT SIZES
----------------------------------------------------- */
h1, h2 {
  font-size: 66px;
}
h3 {
  font-size: 69px;
}
h4 {
  font-size: 45px;
}
h5 {
  font-size: 26px;
}
h6 {
  font-size: 20px;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Plus Jakarta Sans', sans-serif;
  font-weight: 900;
}
.p-sm {
  font-size: 14px;
}
.p-xss {
  font-size: 10px;
}
.p-xs {
  font-size: 12px;
}
.p-md {
  font-size: 18px;
}
.p-lg {
  font-size: 22px;
}
.p-xlg {
  font-size: 28px;
}
/* ---------------------------------------------------
  GLOBAL STYLES
----------------------------------------------------- */
a {
  color: initial;
  text-decoration: none !important;
  transition: all .3s;
  display: inline-block
}
a:hover {
  color: #083E7D;
}
:focus {
  outline: 0 !important;
  box-shadow: none !important
}
/* ---------------------------------------------------
  FONT WEIGHTS
----------------------------------------------------- */
.light {
  font-weight: 300 !important;
}
.regular {
  font-weight: 400;
}
.medium {
  font-weight: 500 !important
}
.semi-bold {
  font-weight: 600
}
.bold {
  font-weight: 700 !important
}
.x-bold {
  font-weight: 800
}
/* ---------------------------------------------------
  COLORS
----------------------------------------------------- */
.orange-text{
  color: #ED4343 !important;
}
.yellow-text{
  color: #EDE51C !important;
}
.d-yellow-text{
  color: #F7A60C !important;
}
.green-text{
  color: #1AA249 !important;
}
.grey-text{
  color: #666666 !important;
}
/* ---------------------------------------------------
  BUTTON STYLING
----------------------------------------------------- */
.site-btn {
  background: #EDE51C;
  border: 1px solid #EDE51C;
  color: black;
  padding: 12px 30px;
  min-width: 180px;
  border-radius: 10px;
  font-weight: 500;
  transition: ease-in-out .2s;
}
.site-btn:hover {
  color: #FFF200;
  background: transparent;
  border: 1px solid #FFF200;
}
.green-btn{
  background: rgb(26, 162, 73, .9);
  border-color: rgb(26, 162, 73, .9);
}
.green-btn:hover{
  background: transparent;
  border-color: rgb(26, 162, 73, .9);
  color: rgb(26, 162, 73, .9);
}
.black-btn{
  background: #000000;
  color: white;
  border-color: #000000;
}
.black-btn:hover{
  background: transparent;
  border-color: #000000;
  color: #000000;
}
.transparent-btn {
  background: 0 0;
  padding: 0;
  border: 0
}
/* ---------------------------------------------------
  INPUT STYLING
----------------------------------------------------- */
.site-input{
  width: 100%;
  appearance: none;
  padding: 12px 20px;
  border-radius: 10px;
  border: 0;
  border: 1px solid #333333;
  resize: none;
}
.site-input::placeholder{
  color: #919294;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
input[type="checkbox"] {
  visibility: hidden;
  display: none;
}
input[type="checkbox"] + label:before {
  border: 1px solid #707070;
  background-color: white;
  content: "\00a0";
  display: inline-block;
  font: 16px/1em sans-serif;
  height: 26px;
  margin: 0 7px 0px 0;
  padding: 4px;
  vertical-align: middle;
  width: 26px;
  border-radius: 0;
}
input[type="checkbox"]:checked + label:before {
  background: #ED4343;
  color: white;
  content: "\2713";
  text-align: center;
  border: 1px solid #ED4343;
}
input[type="checkbox"]:checked + label:after {
  font-weight: bold;
}

input[type="checkbox"]:focus + label::before {
  outline: rgb(59, 153, 252) auto 5px;
}
/* ---------------------------------------------------
  PRELOADER
----------------------------------------------------- */
.ctn-preloader {
  align-items: center;
  cursor: none;
  display: flex;
  height: 100%;
  justify-content: center;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 900
}
.ctn-preloader .animation-preloader {
  position: absolute;
  z-index: 100
}
/* Spinner cargando */
.ctn-preloader .animation-preloader .spinner {
  animation: spinner 1s infinite linear;
  border-radius: 50%;
  border: 3px solid rgba(0, 0, 0, .2);
  border-top-color: black;
  height: 18em;
  margin: 0 auto 3.5em auto;
  width: 18em
}
/* Texto cargando */
.ctn-preloader .animation-preloader .txt-loading {
  font: bold 4em "Circular Std Book";
  text-align: center;
  user-select: none
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:before {
  animation: letters-loading 4s infinite;
  color: black;
  content: attr(data-text-preloader);
  left: 0;
  opacity: 0;
  position: absolute;
  top: 0;
  transform: rotateY(-90deg)
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading {
  color: rgba(0, 0, 0, .2);
  position: relative
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:nth-child(2):before {
  animation-delay: .2s
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:nth-child(3):before {
  animation-delay: .4s
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:nth-child(4):before {
  animation-delay: .6s
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:nth-child(5):before {
  animation-delay: .8s
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:nth-child(6):before {
  animation-delay: 1s
}
.ctn-preloader .animation-preloader .txt-loading .letters-loading:nth-child(7):before {
  animation-delay: 1.2s
}
.ctn-preloader .loader-section {
  background-color: #fff;
  height: 100%;
  position: fixed;
  top: 0;
  width: calc(50% + 1px)
}
.ctn-preloader .loader-section.section-left {
  left: 0
}
.ctn-preloader .loader-section.section-right {
  right: 0
}
.loaded .animation-preloader {
  opacity: 0;
  transition: .3s ease-out
}
/* Efecto de cortina */
.loaded .loader-section.section-left {
  transform: translateX(-101%);
  transition: .7s .3s all cubic-bezier(.1, .1, .1, 1)
}
.loaded .loader-section.section-right {
  transform: translateX(101%);
  transition: .7s .3s all cubic-bezier(.1, .1, .1, 1)
}
.animation-preloader img {
  width: 155px;
  object-fit: contain;
  position: absolute;
  top: 34%;
  left: 0;
  right: 0;
  margin: auto;
  transform: translateY(-45%)
}
@keyframes spinner {
  to {
    transform: rotateZ(360deg)
  }
}
@keyframes letters-loading {
  0%,
  100%,
  75% {
    opacity: 0;
    transform: rotateY(-90deg)
  }
  25%,
  50% {
    opacity: 1;
    transform: rotateY(0)
  }
}
/* ---------------------------------------------------
  HEADER
----------------------------------------------------- */
.site-logo {
  width: 185px;
  object-fit: contain
}
header .navbar-nav a {
  transition: ease-in-out .2s;
  color: black;
  text-transform: uppercase;
  font-weight: 500;
  border-bottom: 3px solid transparent;
}
header .navbar-nav a:hover,
header .navbar-nav a.active {
  color: black;
  border-bottom: 3px solid #1AA249;
}
header .navbar-toggler svg path {fill: black;}
/* ---------------------------------------------------
  BANNER
----------------------------------------------------- */
.banner{
  position: relative;
  padding: 100px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.banner-video{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.banner::after{
  content: '';
  width: 50%;
  height: 100%;
  background: rgb(26, 162, 73, .9);
  position: absolute;
  top: 0;
  left: 0;
}
.banner-inner{
  position: relative;
  z-index: 1;
  color: white;
}
footer{
  background: #333333;
  color: white;
}
.footer-inner ul{
  padding-left: 0;
  list-style: none;
}
.footer-logo{
  width: 300px;
}
.footer-inner a{
  color: white;
  font-size: 14px;
}
.footer-inner a:hover{
  color: #EDE51C;
}
.footer-inner{
  padding: 30px 0;
}
footer h4{
  font-size: 40px;
}
.social-icons{
  display: flex;
  gap: 10px;
  align-items: center;
  padding-left: 0;
  list-style: none;
  margin-bottom: 0;
}
.social-icons li a{
  width: 45px;
  height: 45px;
  border: 1.90217px solid rgba(226, 233, 255, 0.15);
  border-radius: 100%;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}
.social-icons li a:hover{
  color: #002046;
  background: #FFF200;
}
.site-copyright{
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 10px;
  padding: 15px 0;
  border-top: 1px solid white;
  border-bottom: 1px solid white;
}
.our-services{
  background: url('../images/our-service-bg.png') no-repeat 100% 0% #F4F6FD;
}
.services-inner{
  position: absolute;
  width: 100%;
  height: 80%;
  bottom: 0;
  left: 0;
  padding: 20px;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: end;
  background: linear-gradient(180deg, rgba(26, 162, 73, 0) 58%, rgba(26, 162, 73, 0.9) 82.43%);
  transition: ease-in-out .2s;
}
.service-card{
  position: relative;
}
.service-card-para{
  opacity: 0;
  transition: ease-in-out .2s;
}
.service-card-heading{
  transform: translateY(100%);
  transition: ease-in-out .2s;
}
.service-card:hover .service-card-para{
  opacity: 1;
}
.service-card:hover .service-card-heading{
  transform: none;
}
.our-projects{
  background: url('../images/our-projects-bg.png') no-repeat 0% 100% #333333;
  color: white;
}
.project-card{
  position: relative;
}
.project-card-inner{
  position: absolute;
  width: 100%;
  height: 80%;
  bottom: 0;
  left: 0;
  padding: 20px;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: end;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
  transition: ease-in-out .2s;
}
.project-carousel .owl-nav button{
  width: 30px;
  height: 30px;
  border-radius: 0 !important;
  background: #eeeeee !important;
  color: black !important;
  border: 1px solid #eeeeee !important;
  transition: ease-in-out .2s;
}
.project-carousel .owl-nav button:hover{
  background: #FFF200 !important;
  border: 1px solid #FFF200 !important;
}
.project-carousel .owl-nav{
  position: absolute;
  top: -100px;
  right: 0;
}
.our-expert-card{
  background: #F4F6FD;
  padding: 20px 30px;
  height: 100%;
  transition: ease-in-out .2s;
}
.expert-text{
  opacity: 0;
  visibility: hidden;
  transition: ease-in-out .2s;
}
.show-expert{
  color: white;
  background: rgb(26, 162, 73, .9);
}
.show-expert .grey-text{color: white !important;}
.show-expert .expert-text{opacity: 1; visibility: visible;}
.show-expert .expert-btn{
  transform: rotate(180deg);
}
.contact-us{
  background: url('../images/our-service-bg.png') no-repeat 100% 0% #F4F6FD;
  position: relative;
}
.contact-img{
  position: absolute;
  width: 40%;
  object-fit: cover;
  object-position: bottom;
  height: 100%;
  left: 0;
  top: 0;
}
.project-card-img{
  aspect-ratio: 1/1.25;
  object-fit: cover;
  object-position: center;
}